diff --git a/web/pgadmin/static/css/overrides.css b/web/pgadmin/static/css/overrides.css
index 7f25dca..fdefc74 100755
--- a/web/pgadmin/static/css/overrides.css
+++ b/web/pgadmin/static/css/overrides.css
@@ -789,4 +789,13 @@ td.edit-cell.editable.sortable.renderable.editor {
     margin: 0 auto;
     position: relative;
     text-align: center;
+}
+
+.backgrid .textarea-cell {
+    text-align: left;
+}
+
+.backgrid .textarea-cell.editor textarea {
+    width: 100%;
+    height: auto;
 }
\ No newline at end of file
diff --git a/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
index 763c85b..7c7eb0b 100644
--- a/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
@@ -413,6 +413,37 @@
       model.set(column.get("name"), this.$select.val());
     }
   });
+
+  /**
+    TextareaCellEditor the cell editor renders a textarea multi-line text input
+    box as its editor.
+
+    @class Backgrid.TextareaCellEditor
+    @extends Backgrid.InputCellEditor
+  */
+  var TextareaCellEditor = Backgrid.TextareaCellEditor = Backgrid.InputCellEditor.extend({
+    /** @property */
+    tagName: "textarea",
+
+    events: {
+      "blur": "saveOrCancel",
+      "keydown": ""
+    }
+  });
+
+  /**
+    TextareaCell displays multiline HTML strings.
+
+      @class Backgrid.Extension.TextareaCell
+      @extends Backgrid.Cell
+  */
+  var TextareaCell = Backgrid.Extension.TextareaCell = Backgrid.Cell.extend({
+    /** @property */
+    className: "textarea-cell",
+
+    editor: TextareaCellEditor
+  });
+
   return Backgrid;
 
 }));
